Bug 17963 - 3Dfx Glide package runs accelerated root only.
Summary: 3Dfx Glide package runs accelerated root only.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-30 17:09 UTC by jorge o. castro
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 18:39:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jorge o. castro 2000-09-30 17:09:51 UTC
Small annoyance:

/etc/X11/XF86Config-4 should have the line "Mode 0666" in the DRI section
in order to allow the normal user to use 3D accelaration "out of the box". 


Don't know if this is a bug or intentional,   that's why it's low/low....

Comment 1 Trond Eivind Glomsrxd 2000-10-04 18:22:16 UTC
That would allow anybody on the system to read/write to these devices, which
isn't a good thing securitywise.

Comment 2 Mike A. Harris 2001-03-01 18:39:36 UTC
It isn't a security issue anymore, and is fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.